org.jboss.resteasy.core.request

## Class VariantQuality

- java.lang.Object
- - org.jboss.resteasy.core.request.VariantQuality

-     public class VariantQuality
      extends Object

  A individual variant quality bean for the RVSA.
  Author:
    Pascal S. de Kloe
  See Also:
    "RFC 2296"

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariantQuality()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getOverallQuality()`
    `MediaType` | `getRequestMediaType()`
    `void` | `setCharacterSetQualityValue(QualityValue value)`
    `void` | `setEncodingQualityValue(QualityValue value)`
    `void` | `setLanguageQualityValue(QualityValue value)`
    `void` | `setMediaTypeQualityValue(QualityValue value)`
    `void` | `setRequestMediaType(MediaType requestMediaType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariantQuality

          public VariantQuality()

  - ### Method Detail

    - #### setMediaTypeQualityValue

          public void setMediaTypeQualityValue(QualityValue value)

    - #### setCharacterSetQualityValue

          public void setCharacterSetQualityValue(QualityValue value)

    - #### setEncodingQualityValue

          public void setEncodingQualityValue(QualityValue value)

    - #### setLanguageQualityValue

          public void setLanguageQualityValue(QualityValue value)

    - #### getRequestMediaType

          public MediaType getRequestMediaType()

    - #### setRequestMediaType

          public void setRequestMediaType(MediaType requestMediaType)

    - #### getOverallQuality

          public BigDecimal getOverallQuality()

      Returns:
        the quality value between zero and one with five decimal places after the point.
      See Also:
        "3.3 Computing overall quality values"

Copyright © 2014. All Rights Reserved.